Affected version:
Description: It would be nice to have a 'cancel'/'back' button on at minimum the Administration views. The single Save 

button present on these views tends to leave the user uncertainty in some circumstances.

This snippet on the views does a decent job but is not optimal as the Settings views are rendered.

<pre>
<%= submit_tag l(:button_cancel), { :name => 'reset', :id => 'reset_button', :type => "reset", :onClick => 
"javascript:history.back()" } %>
</pre>

As an example:

!cancel.png!

History
2011-07-06 10:55 pm - Eric Davis
That is a good idea. We should use a hyperlink instead of a button and use the @back_url@ instead of relying on JavaScript.

Thank you for reporting this.

2011-07-06 11:02 pm - Gilbert Flamino
I sort of like the button but the hyperlink is straightforward:

<pre>
<% link_to l(:button_cancel), :back %>
</pre>

What's nice about the hyperlink is it does differentiate nicely.

2011-08-08 10:53 pm - Nick Peelman
I have added these, will submit a pull request shortly...

2011-08-18 01:22 pm - Nick Peelman
- Status changed from Open to Ready for review

Pull Request "!#94":https://github.com/chiliproject/chiliproject/pull/94.

I also contemplated adding one to the New Issue view, but since its currently:

<pre>
[Create] [Create and Continue] Preview
</pre>

making it: 
<pre>
[Create] [Create and Continue] Preview Cancel
</pre>

doesn't look right.  Not sure if the answer is some form of separator, making Preview a button instead of a link, or something else altogether.
